locked
Azure Search Nuget, Microsoft.Spatial dependency update? RRS feed

Answers

  • Hi Carlos,

    We can upgrade the Microsoft.Spatial dependency for the first stable release of 2.x sometime in September, although from a functionality perspective there is no need for us to do so.

    If you're having issues with conflicting dependency versions in the meantime, assembly binding redirects might help.

    -Bruce

    Thursday, September 1, 2016 5:31 PM

All replies

  • Hi Carlos,

    We can upgrade the Microsoft.Spatial dependency for the first stable release of 2.x sometime in September, although from a functionality perspective there is no need for us to do so.

    If you're having issues with conflicting dependency versions in the meantime, assembly binding redirects might help.

    -Bruce

    Thursday, September 1, 2016 5:31 PM
  • It looks like Microsoft.Spatial 7.0 doesn't support all our .NET Core build targets yet. However, what we can do is relax the dependency constraint so that the Azure Search SDK can bind to versions of Microsoft.Spatial greater than 6.15.0 (but it will still use 6.15.0 by default).
    Monday, September 5, 2016 11:39 PM